← OBPv7.0.0 Get Customers for Current User GET /obp/v7.0.0/users/current/customers OBPv3.0.0-getCustomersForUser No role required CustomerUser Gets all Customers that are linked to a User. User Authentication is Required. The User must be logged in. The Application must also be authenticated. JSON response body fields (32) amount 10.12bank_id gh.29.ukbranch_id DERBY6currency EURcustomer_attribute_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcustomer_attributes customer_id 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uhcustomer_number 5987953customers date 2020-01-27date_of_birth 2018-03-09dependants 1dob_of_dependants [2019-09-08, 2017-07-12]email felixsmith@example.comemployment_status workerface_image highest_education_attained Masterkyc_status falselast_ok_date 2025-11-18T15:14:33.829Zlegal_name Eveline Tripmanmobile_phone_number +49 30 901820name ACCOUNT_MANAGEMENT_FEEname_suffix Srrating relationship_status singlesource title Dr.type url http://www.example.com/id-docs/123/image.pngvalue 5987953credit_limit credit_rating Example success response { "customers": [ { "bank_id": "gh.29.uk", "customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "customer_number": "5987953", "legal_name": "Eveline Tripman", "mobile_phone_number": "+44 07972 444 876", "email": "felixsmith@example.com", "face_image": { "url": "www.openbankproject", "date": "1100-01-01T00:00:00Z" }, "date_of_birth": "19900101", "relationship_status": "single", "dependants": 1, "dob_of_dependants": [ "19900101" ], "credit_rating": { "rating": "OBP", "source": "OBP" }, "credit_limit": { "currency": "EUR", "amount": "0" }, "highest_education_attained": "Master", "employment_status": "worker", "kyc_status": false, "last_ok_date": "2025-11-18T15:16:07Z", "title": "Dr.", "branch_id": "DERBY6", "name_suffix": "Sr", "customer_attributes": [ { "customer_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh", "name": "SPECIAL_TAX_NUMBER", "type": "STRING", "value": "123456789" } ] } ] } Possible errors (3) OBP-20001: User not logged in. Authentication is required!OBP-30008: User Customer Link not found by USER_IDOBP-50000: Unknown Error.